(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core'), require('@angular/common'), require('@angular/cdk/coercion')) :
    typeof define === 'function' && define.amd ? define('@ng-tangram/pro/containers', ['exports', '@angular/core', '@angular/common', '@angular/cdk/coercion'], factory) :
    (global = global || self, factory((global.nt = global.nt || {}, global.nt.pro = global.nt.pro || {}, global.nt.pro.containers = {}), global.ng.core, global.ng.common, global.ng.cdk.coercion));
}(this, (function (exports, core, common, coercion) { 'use strict';

    var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtActionBarItemComponent = (function () {
        function NtActionBarItemComponent() {
        }
        NtActionBarItemComponent = __decorate([
            core.Component({
                selector: 'nt-action-bar-item',
                template: '<ng-content></ng-content>',
                encapsulation: core.ViewEncapsulation.None,
                host: {
                    'class': 'nt-action-item'
                }
            })
        ], NtActionBarItemComponent);
        return NtActionBarItemComponent;
    }());

    var __decorate$1 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtActionBarComponent = (function () {
        function NtActionBarComponent() {
        }
        NtActionBarComponent = __decorate$1([
            core.Component({
                selector: 'nt-action-bar',
                template: '<ng-content></ng-content>',
                encapsulation: core.ViewEncapsulation.None,
                host: {
                    'class': 'nt-action-bar'
                }
            })
        ], NtActionBarComponent);
        return NtActionBarComponent;
    }());

    var __decorate$2 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtPanelBodyComponent = (function () {
        function NtPanelBodyComponent() {
        }
        NtPanelBodyComponent = __decorate$2([
            core.Component({
                selector: 'nt-panel-body',
                template: '<ng-content></ng-content>',
                encapsulation: core.ViewEncapsulation.None,
                host: {
                    'class': 'nt-panel-body'
                }
            })
        ], NtPanelBodyComponent);
        return NtPanelBodyComponent;
    }());

    var __decorate$3 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtPanelFooterComponent = (function () {
        function NtPanelFooterComponent() {
        }
        Object.defineProperty(NtPanelFooterComponent.prototype, "small", {
            get: function () { return this._small; },
            set: function (value) {
                this._small = coercion.coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(NtPanelFooterComponent.prototype, "large", {
            get: function () { return this._large; },
            set: function (value) {
                this._large = coercion.coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        __decorate$3([
            core.Input()
        ], NtPanelFooterComponent.prototype, "small", null);
        __decorate$3([
            core.Input()
        ], NtPanelFooterComponent.prototype, "large", null);
        NtPanelFooterComponent = __decorate$3([
            core.Component({
                selector: 'nt-panel-footer',
                template: '<ng-content></ng-content>',
                encapsulation: core.ViewEncapsulation.None,
                host: {
                    'class': 'nt-panel-footer',
                    '[class.small]': 'small',
                    '[class.large]': 'large'
                }
            })
        ], NtPanelFooterComponent);
        return NtPanelFooterComponent;
    }());

    var __decorate$4 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtPanelHeaderComponent = (function () {
        function NtPanelHeaderComponent() {
        }
        Object.defineProperty(NtPanelHeaderComponent.prototype, "small", {
            get: function () { return this._small; },
            set: function (value) {
                this._small = coercion.coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(NtPanelHeaderComponent.prototype, "large", {
            get: function () { return this._large; },
            set: function (value) {
                this._large = coercion.coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        __decorate$4([
            core.Input()
        ], NtPanelHeaderComponent.prototype, "small", null);
        __decorate$4([
            core.Input()
        ], NtPanelHeaderComponent.prototype, "large", null);
        NtPanelHeaderComponent = __decorate$4([
            core.Component({
                selector: 'nt-panel-header',
                template: '<ng-content></ng-content>',
                encapsulation: core.ViewEncapsulation.None,
                host: {
                    'class': 'nt-panel-header',
                    '[class.small]': 'small',
                    '[class.large]': 'large'
                }
            })
        ], NtPanelHeaderComponent);
        return NtPanelHeaderComponent;
    }());

    var __decorate$5 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtPanelWrapperComponent = (function () {
        function NtPanelWrapperComponent() {
        }
        NtPanelWrapperComponent = __decorate$5([
            core.Component({
                selector: 'nt-panel-wrapper',
                template: "<ng-content select=\"nt-panel\"></ng-content>",
                encapsulation: core.ViewEncapsulation.None,
                host: {
                    'class': 'nt-panel-wrapper'
                }
            })
        ], NtPanelWrapperComponent);
        return NtPanelWrapperComponent;
    }());

    var __decorate$6 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtPanelComponent = (function () {
        function NtPanelComponent() {
            this._shrink = false;
            this._auto = false;
        }
        Object.defineProperty(NtPanelComponent.prototype, "shrink", {
            get: function () { return this._shrink; },
            set: function (value) {
                this._shrink = coercion.coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(NtPanelComponent.prototype, "auto", {
            get: function () { return this._auto; },
            set: function (value) {
                this._auto = coercion.coerceBooleanProperty(value);
            },
            enumerable: true,
            configurable: true
        });
        __decorate$6([
            core.Input()
        ], NtPanelComponent.prototype, "shrink", null);
        __decorate$6([
            core.Input()
        ], NtPanelComponent.prototype, "auto", null);
        NtPanelComponent = __decorate$6([
            core.Component({
                selector: 'nt-panel',
                template: "\n    <ng-content select=\"nt-panel-header\"></ng-content>\n    <ng-content select=\"nt-panel-body\"></ng-content>\n    <ng-content select=\"nt-panel-footer\"></ng-content>\n  ",
                encapsulation: core.ViewEncapsulation.None,
                host: {
                    'class': 'nt-panel',
                    '[class.shrink]': 'nt-panel-shrink',
                    '[class.auto]': 'nt-panel-auto'
                }
            })
        ], NtPanelComponent);
        return NtPanelComponent;
    }());

    var __decorate$7 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtTabsBarItemComponent = (function () {
        function NtTabsBarItemComponent() {
        }
        NtTabsBarItemComponent = __decorate$7([
            core.Component({
                selector: 'nt-tabs-bar-item',
                template: '<ng-content></ng-content>',
                encapsulation: core.ViewEncapsulation.None
            })
        ], NtTabsBarItemComponent);
        return NtTabsBarItemComponent;
    }());

    var __decorate$8 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var NtTabsBarComponent = (function () {
        function NtTabsBarComponent() {
        }
        NtTabsBarComponent = __decorate$8([
            core.Component({
                selector: 'nt-tabs-bar',
                template: '<ng-content select="nt-tabs-bar-item"></ng-content>',
                encapsulation: core.ViewEncapsulation.None
            })
        ], NtTabsBarComponent);
        return NtTabsBarComponent;
    }());

    var __decorate$9 = (this && this.__decorate) || function (decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    };
    var EXPORT_DECLARATIONS = [
        NtActionBarItemComponent,
        NtActionBarComponent,
        NtPanelBodyComponent,
        NtPanelFooterComponent,
        NtPanelHeaderComponent,
        NtPanelWrapperComponent,
        NtPanelComponent,
        NtTabsBarItemComponent,
        NtTabsBarComponent,
    ];
    var NtContainersModule = (function () {
        function NtContainersModule() {
        }
        NtContainersModule = __decorate$9([
            core.NgModule({
                imports: [common.CommonModule],
                exports: EXPORT_DECLARATIONS,
                declarations: EXPORT_DECLARATIONS,
            })
        ], NtContainersModule);
        return NtContainersModule;
    }());

    exports.NtActionBarComponent = NtActionBarComponent;
    exports.NtActionBarItemComponent = NtActionBarItemComponent;
    exports.NtContainersModule = NtContainersModule;
    exports.NtPanelBodyComponent = NtPanelBodyComponent;
    exports.NtPanelComponent = NtPanelComponent;
    exports.NtPanelFooterComponent = NtPanelFooterComponent;
    exports.NtPanelHeaderComponent = NtPanelHeaderComponent;
    exports.NtPanelWrapperComponent = NtPanelWrapperComponent;
    exports.NtTabsBarComponent = NtTabsBarComponent;
    exports.NtTabsBarItemComponent = NtTabsBarItemComponent;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=containers.umd.js.map
